
class MenuDSL < Dieta
        attr_accessor :titulos, :ingestas, :platos, :porcentaje
   
    def initialize(title, &block)
        self.titulos = []
        self.ingestas = []
        self.platos = []
        self.porcentaje = []
        
        if block_given?
            if block.arity == 1
                yield self
            else
                instance_eval(&block)
            end
        end
    end    
    
    def titulo(options = {})
        titulos << "#{options[:nombre]}" if options[:nombre]
    end
    
    def ingesta(options = {})
        ingestas << "#{options[:min]}" if options[:min]
        ingestas << "#{options[:max]}" if options[:max]
    end
    
    def plato(options = {})
        platos << "#{options[:descripcion]}" if options[:descripcion]
        platos << "#{options[:porcion]}" if options[:porcion]
        platos << "#{options[:gramos]}" if options[:gramos]
    end
    
    def porcentajes(options = {})
        porcentaje << "#{options[:vct]}" if options[:vct]
        porcentaje << "#{options[:proteinas]}" if options[:proteinas]
        porcentaje << "#{options[:grasas]}" if options[:grasas]
        porcentaje << "#{options[:hidratos]}" if options[:hidratos]
    end
    
    def to_s 
       output = titulos
       output << "(#{ingestas[0]}% - #{ingestas[1]}%)"
       platos.each_with_index do |plato|
           output << "- #{plato}"
       end
       
       output <<  "- V.C.T. | % #{porcentaje[0]} Kcal | #{porcentaje[1]}% - #{porcentaje[2]}% - #{porcentaje[3]}%"
    end
    
end